Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RT_Endpoint_Selector_Factory Class Reference

Factory for obtaining appropriate <Invocation_Selector>. More...

`#include <RT_Endpoint_Selector_Factory.h>`

Inheritance diagram for RT_Endpoint_Selector_Factory:

[legend]
Collaboration diagram for RT_Endpoint_Selector_Factory:

[legend]
List of all members.

## Public Methods
| RT_Endpoint_Selector_Factory (void)
| Constructor. More...
virtual | ~RT_Endpoint_Selector_Factory (void)
| Destructor. More...
virtual TAO_Invocation_Endpoint_Selector * | get_selector (TAO_GIOP_Invocation *invocation ACE_ENV_ARG_DECL)
| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. More...
## Private Attributes
TAO_RT_Invocation_Endpoint_Selector * | rt_invocation_endpoint_selector_

## Detailed Description

Factory for obtaining appropriate <Invocation_Selector>.

Used by Invocation classes to intialize its endpoint selection strategy and state based on the effective policies. Endpoint selection strategies are stateless objects - all the state they need is contained by Invocation. Thus, rather than allocating an endpoint selection strategy object for each Invocation, the factory simply returns the appropriate one from the set preallocated in the ORB_Core. One endpoint selection strategy object can be used by many invocations concurrently.

## Constructor & Destructor Documentation

RT_Endpoint_Selector_Factory::RT_Endpoint_Selector_Factory | ( | void |  | ) |

| Constructor.

RT_Endpoint_Selector_Factory::~RT_Endpoint_Selector_Factory | ( | void |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual TAO_Invocation_Endpoint_Selector* RT_Endpoint_Selector_Factory::get_selector | ( | TAO_GIOP_Invocation *invocation | ACE_ENV_ARG_DECL | ) | `[virtual]`

| Get an Invocation's endpoint selection strategy and initialize the endpoint selection state instance. Reimplemented from TAO_Endpoint_Selector_Factory.

## Member Data Documentation

TAO_RT_Invocation_Endpoint_Selector* RT_Endpoint_Selector_Factory::rt_invocation_endpoint_selector_`[private]`

The documentation for this class was generated from the following files:

- RT_Endpoint_Selector_Factory.h
- RT_Endpoint_Selector_Factory.cpp